IARRAY_PUT_NAMED_VALUE(3)

FUNCTION
iarray_put_named_value - Attach a data value to an Intelligent Array.

SYNOPSIS
#include <karma_iarray.h>

flag iarray_put_named_value

(iarray array, CONST char *name, unsigned int type, double value[2])

DESCRIPTION
This routine will add a unique named value to the underlying Karma general data structure of an "Intelligent Array".

array
    The Intelligent Array.

name
    The name of the element to add.

type
    The type of the data which is to be written.

value
    The value of the data.

RETURN VALUE
TRUE on success, else FALSE.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/